aboutsummaryrefslogtreecommitdiff
path: root/network
diff options
context:
space:
mode:
authorMarco Lavorini <sbo.mlavorini@outlook.com>2024-06-24 08:30:16 +0700
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2024-06-24 08:44:47 +0700
commit5cd91d59ffc581e9a0f1335b19629f7fd66135be (patch)
tree04b59a12a8b9bfb7f7dd1c6b2950035bf3a1d9ab /network
parent53d618b1c6cd3adce43524301fc7f1f293a94548 (diff)
network/whatsie: Added (WhatsApp Client).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/whatsie/README38
-rw-r--r--network/whatsie/doinst.sh14
-rw-r--r--network/whatsie/slack-desc19
-rw-r--r--network/whatsie/whatsie.SlackBuild97
-rw-r--r--network/whatsie/whatsie.info10
5 files changed, 178 insertions, 0 deletions
diff --git a/network/whatsie/README b/network/whatsie/README
new file mode 100644
index 000000000000..417b354c4c8a
--- /dev/null
+++ b/network/whatsie/README
@@ -0,0 +1,38 @@
+WhatSie
+Feature rich WhatsApp web client based on Qt WebEngine for Linux Desktop
+
+Whatsie Key features
+
+* Light and Dark Themes with automatic switching
+* Customized Notifications & Native Notifications
+* Keyboard Shortcuts
+* BuiltIn download manager
+* Mute Audio, Disable Notifications
+* App Lock feature
+* Hardware access permission manager
+* Built in Spell Checker (with support for 31 Major languages)
+* Other settings that let you control every aspect of WebApp like:
+ - Do not disturb mode
+ - Full view mode, lets you expand the main view to the full width
+ of the window
+ - Ability to switch between Native & Custom notification
+ - Configurable notification popup timeout
+ - Mute all audio from Whatapp
+ - Disabling auto playback of media
+ - Minimize to tray on application start
+ - Toggle to enable single click hide to the system tray
+ - Switching download location
+ - Enable disable app lock on application start
+ - Auto-locking after a certain interval of time
+ - App lock password management
+ - Widget styling
+ - Configurable auto Theme switching based on day night time
+ - Configurable close button action
+ - Global App shortcuts
+ - Permission manager let you toggle camera mic and other hardware
+ level permissions
+ - Configurable page zoom factor, switching based on window state
+ maximized on normal
+ - Configurable App User Agent
+ - Application Storage management, lets you clean residual cache
+ and persistent data
diff --git a/network/whatsie/doinst.sh b/network/whatsie/doinst.sh
new file mode 100644
index 000000000000..0fb9c8b6867f
--- /dev/null
+++ b/network/whatsie/doinst.sh
@@ -0,0 +1,14 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/network/whatsie/slack-desc b/network/whatsie/slack-desc
new file mode 100644
index 000000000000..33a431e2c203
--- /dev/null
+++ b/network/whatsie/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+whatsie: whatsie (Qt WebEngine WhatsApp web client)
+whatsie:
+whatsie: Feature rich WhatsApp web client based on Qt WebEngine
+whatsie: Light and Dark Themes with automatic switching
+whatsie: Customized Notifications & Native Notifications
+whatsie: Global App shortcuts
+whatsie: BuiltIn download manager
+whatsie: Mute Audio, Disable Notifications
+whatsie: App Lock feature
+whatsie:
+whatsie: https://github.com/keshavbhatt/whatsie
diff --git a/network/whatsie/whatsie.SlackBuild b/network/whatsie/whatsie.SlackBuild
new file mode 100644
index 000000000000..b6fedf40aa3f
--- /dev/null
+++ b/network/whatsie/whatsie.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/bash
+
+# Slackware build script for whatsie
+
+# Copyright 2024 Marco Lavorini, Campiglia Marittima Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=whatsie
+VERSION=${VERSION:-4.15.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+else
+ SLKCFLAGS="-O2"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+cd src
+ qmake \
+ QT_INSTALL_PREFIX="/usr" \
+ QMAKE_CFLAGS="$SLKCFLAGS" \
+ QMAKE_CXXFLAGS="$SLKCFLAGS"
+ make
+ make INSTALL_ROOT="$PKG" install
+cd ..
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+rm -Rf $PKG/usr/share/licenses/
+
+cp -a \
+ CHANGELOG.md LICENSE README.md TODO.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/network/whatsie/whatsie.info b/network/whatsie/whatsie.info
new file mode 100644
index 000000000000..6181d05f52b4
--- /dev/null
+++ b/network/whatsie/whatsie.info
@@ -0,0 +1,10 @@
+PRGNAM="whatsie"
+VERSION="4.15.0"
+HOMEPAGE="https://github.com/keshavbhatt/whatsie"
+DOWNLOAD="https://github.com/keshavbhatt/whatsie/archive/v4.15.0/whatsie-4.15.0.tar.gz"
+MD5SUM="18ec2fee6403e614d1da7528cd048cf0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Marco Lavorini"
+EMAIL="sbo.mlavorini@outlook.com"